## org.hibernate.secure
Class JACCPermissions

    java.lang.Object
      org.hibernate.secure.JACCPermissions

    public class JACCPermissions

extends Object

Copied from JBoss org.jboss.ejb3.security.JaccHelper and org.jboss.ejb3.security.SecurityActions

Author:
  Kabir Khan

Constructor Summary
`JACCPermissions()`

Method Summary
`static void` `checkPermission(Class clazz, String contextID, EJBMethodPermission methodPerm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPermissions

    public JACCPermissions()

Method Detail

### checkPermission

    public static void checkPermission(Class clazz,
                                       String contextID,
                                       EJBMethodPermission methodPerm)
                                throws SecurityException

  Throws:
    `SecurityException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.